Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.ifs.fdk.core
Class CoreRelationManager

    java.lang.Object
      oracle.ifs.fdk.impl.RelationManagerImpl
          oracle.ifs.fdk.core.CoreRelationManager

All Implemented Interfaces:
  java.rmi.Remote, RelationManager

    public class CoreRelationManager

extends RelationManagerImpl

Implementation of the RelationManager interface.

Constructor Summary
`CoreRelationManager()` Constructor required for web services.
`CoreRelationManager(FdkSession session)` Constructor required for in-process clients.

Method Summary
`Item` | `createRelation(long from, long to, NamedValue[] options, AttributeRequest[] attributes)` Create a new relation between two documents.
`void` | `deleteRelation(long id)` Delete a relation.
`protected FdkSessionImpl` | `getConnectedSession()` Return the web service session.
`protected boolean` | `isWebServiceCall()` Returns `true` if the current call was made from a web services client.
`java.lang.String[]` | `listRelationActionSpecifications()` Returns the list of registered relation action specifications.
`protected NamedValue[]` | `login(FdkCredential c, NamedValue[] options, AttributeRequest[] userAttributes)` Internal login method used by web services login managers.
`void` | `referenceTypes(TypeReference ref)` Dummy web service method to create a reference to data types used in the web services to insure that they are defined in the WSDL.
`Item` | `updateRelation(long id, NamedValue[] options, AttributeRequest[] attributes)` Update an existing relation.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CoreRelationManager

    public CoreRelationManager()

  Constructor required for web services.

### CoreRelationManager

    public CoreRelationManager(FdkSession session)

  Constructor required for in-process clients.

  Parameters:
    `session` - session context

Method Detail

### listRelationActionSpecifications

    public java.lang.String[] listRelationActionSpecifications()
                                                        throws FdkException

  Description copied from class: `CoreRelationManager`
  Returns the list of registered relation action specifications.

  Any element of the return value may be used as the value for the RELATION_ACTION attribute of a RELATION Item.

  Throws:
    `FdkException` - if the operation fails

### createRelation

    public Item createRelation(long from,
                               long to,
                               NamedValue[] options,
                               AttributeRequest[] attributes)
                        throws FdkException

  Description copied from class: `CoreRelationManager`
  Create a new relation between two documents.

  Parameters:
    `from` - The from/source/left side of the relation. Must be of type DOCUMENT.
    `to` - To to/destination/right side of the relation. Must be of type DOCUMENT. A value <= 0 implies a null object.
    `options` - The options of the relation. Supported options:
    - notation: {Attribute name, Attribute type}
    - {Attributes.NAME, String}
    - {Attributes.DESCRIPTION, String}
    - {Attributes.RELATION_TYPE, String}
    - {Attributes.RELATION_ACTION, String}
    - {`Options.CATEGORY_DEFINITION`, NamedValue[]}
    `attributes` - Attributes to return for the return item.
  Returns:
    The newly creates relation as an Item of type RELATION.
  Throws:
    `FdkException` - if the operation fails.

### updateRelation

    public Item updateRelation(long id,
                               NamedValue[] options,
                               AttributeRequest[] attributes)
                        throws FdkException

  Description copied from class: `CoreRelationManager`
  Update an existing relation.

  Parameters:
    `id` - The ID of an existing relation. Must be of type RELATION.
    `options` - The options of the relation. Supported options:
    - notation: {Attribute name, Attribute type}
    - {Attributes.NAME, String}
    - {Attributes.DESCRIPTION, String}
    - {Attributes.RELATION_TO, Long} to/destination/right side of the relation
    - {Attributes.RELATION_TYPE, String}
    - {Attributes.RELATION_ACTION, String}
    - {`Options.CATEGORY_DEFINITION`, NamedValue[]}
    - {`Options.REMOVE_CATEGORY_ID`, Long}
    `attributes` - Attributes to return for the return item.
  Returns:
    The updated relation as an Item of type RELATION.
  Throws:
    `FdkException` - if the operation fails.

### deleteRelation

    public void deleteRelation(long id)
                        throws FdkException

  Description copied from class: `CoreRelationManager`
  Delete a relation.

  Parameters:
    `id` - The ID of the relation to delete.
  Throws:
    `FdkException` - if the operation fails.

### isWebServiceCall

    protected final boolean isWebServiceCall()

  Returns `true` if the current call was made from a web services client. This check can be made by any subclasses in order to determine functionality and restrictions based on the originating call. This feature should be used lightly and only where really necessary as this is not an idea way of implementing business logic.

### referenceTypes

    public void referenceTypes(TypeReference ref)

  Dummy web service method to create a reference to data types used in the web services to insure that they are defined in the WSDL.

### login

    protected final NamedValue[] login(FdkCredential c,
                                       NamedValue[] options,
                                       AttributeRequest[] userAttributes)
                                throws FdkException

  Internal login method used by web services login managers.

  Throws:
    `FdkException`

### getConnectedSession

    protected final FdkSessionImpl getConnectedSession()
                                                throws FdkException

  Return the web service session. The return value is guaranteed to be non-null and to represent a connected session. If the client is not authenticated an FdkException is thrown.

  Throws:
    `FdkException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD